#! /bin/sh

#
# Takes one argument: absolute path to where the directories are, without
# trailing '/'
#

outfile="convertAll.sh"
outfileTmp="convertAllTmp.sh"

echo $1

if test -a ${outfile}
  then
    echo "Error: ${outfile} exists"
    exit -1
fi

if test -a ${outfileTmp}
  then
    echo "Error: ${outfileTmp} exists"
    exit -1
fi

for n in ${1}/*
  do
    if test -d ${n}
      then
        echo ${n}
        echo "siveco c siveco.xml -d ${n}" >> ${outfile}
    fi 
done

sort ${outfile} > ${outfileTmp}
mv ${outfileTmp} ${outfile}

