/*
 * Copyright (C) 2007  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef SIVECOMOVE_H
# define SIVECOMOVE_H

# include "SimpleXMLTransfer.h"
# include <string>
# include <iconv.h>
# include "types.h"

class SiVeCoMove
{
public:
  SiVeCoMove(std::string confpath, SimpleXMLTransfer* ptr_conf);
  
  int run();
  
private:
  std::string         configpath;
  SimpleXMLTransfer*  conf;
  iconv_t             charsetconv;

  int run(int num, int nmaxnum);
};

#endif
